#pragma once

#include "common.h"
#include "sysvars.h"

#include <stdio.h>

#define MAX_CONFIG_LINE 256

extern_c int read_config(FILE *, bool save);
extern_c int write_sysvars(FILE *, bool status);
extern_c void init_config(void);
extern_c int set_config_url_string(const char *str);

extern_c void log_config_status(void);
